import { IOutputParkingTariffsDto } from "#og/transformations/interfaces/IOutputParkingTariffsDto";

export const tariffData: IOutputParkingTariffsDto[] = [
    {
        tariff_id: "b184865e-5a5e-5465-abc1-4fab6bc56a77",
        source: "korid",
        last_updated: "2020-10-12T15:19:21.000Z",
        payment_mode: "",
        payment_additional_description: "Parkování Liberec",
        free_of_charge: false,
        url_link_address: "https://parking.liberec.cz/",
        charge_band_name: "A",

        payment_methods: ["card_offline", "cash"],
        charge_currency: "CZK",
        allowed_vehicle_type: null,
        allowed_fuel_type: null,
        charges: [
            {
                charge: 20,
                charge_type: "minimum",
                charge_order_index: 0,
                charge_interval: null,
                max_iterations_of_charge: null,
                min_iterations_of_charge: null,
                start_time_of_period: null,
                end_time_of_period: null,
            },
            {
                charge: 20,
                charge_type: "other",
                charge_order_index: 1,
                charge_interval: 1800,
                max_iterations_of_charge: 1,
                min_iterations_of_charge: null,
                start_time_of_period: null,
                end_time_of_period: null,
            },
            {
                charge: 40,
                charge_type: "other",
                charge_order_index: 2,
                charge_interval: 3600,
                max_iterations_of_charge: 1,
                min_iterations_of_charge: null,
                start_time_of_period: null,
                end_time_of_period: null,
            },
            {
                charge: 50,
                charge_type: "other",
                charge_order_index: 3,
                charge_interval: 3600,
                max_iterations_of_charge: null,
                min_iterations_of_charge: null,
                start_time_of_period: null,
                end_time_of_period: null,
            },
        ],
        reservation_url: null,
    },
    {
        tariff_id: "f4de50d9-1f5f-5d76-81a6-e5e8a2aa6d44",
        source: "korid",
        last_updated: "2020-10-12T15:19:21.000Z",
        payment_mode: "",
        payment_additional_description: "Parkování Liberec",
        free_of_charge: false,
        url_link_address: "https://parking.liberec.cz/",
        charge_band_name: "B",
        payment_methods: ["card_offline", "cash"],
        charge_currency: "CZK",
        allowed_vehicle_type: null,
        allowed_fuel_type: null,
        charges: [
            {
                charge: 15,
                charge_type: "minimum",
                charge_order_index: 0,
                charge_interval: null,
                max_iterations_of_charge: null,
                min_iterations_of_charge: null,
                start_time_of_period: null,
                end_time_of_period: null,
            },
            {
                charge: 15,
                charge_type: "other",
                charge_order_index: 1,
                charge_interval: 1800,
                max_iterations_of_charge: 1,
                min_iterations_of_charge: null,
                start_time_of_period: null,
                end_time_of_period: null,
            },
        ],
        reservation_url: null,
    },
];
